For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • GETList Device Registrations
      • POSTRegister Device for Push Notifications
      • GETGet a single Device Registration
      • DELDelete a Device Registration
      • GETList Push Notifications
      • POSTSend Push Notifications
      • GETFetch a Push Notification
      • GETList Push Notification Operations
      • GETFetch a Push Notification Operation
      • GETList Push Credentials
      • POSTCreate Push Credential
      • GETFetch a Push Credential
      • DELDelete a Push Credential
      • PATCHUpdate a Push Credential
      • GETList Push Notification Apps
      • GETFetch a Push Notification App
      • PATCHUpdate a Push Notification App
      • GETList Users
      • GETFetch a User
      • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Get a single Device Registration

GET
https://comms.twilio.com/preview/PushNotifications/DeviceRegistrations/:deviceRegistrationId
GET
/preview/PushNotifications/DeviceRegistrations/:deviceRegistrationId
$curl https://comms.twilio.com/preview/PushNotifications/DeviceRegistrations/deviceRegistrationId \
> -u "<accountId>:<authToken>"
1{
2 "id": "comms_device_registration_qspvwy6nq801h9krwprkeee8fz",
3 "appName": "limonade_app",
4 "userId": "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
5 "devices": [
6 {
7 "token": "dqWD7WEC83K41WHyufTS7:APA91bFcrVaOLqKeJfSiEutJXX2Tr9wN_tYOwYd8rFA6mYUMBFqdz9n6k3v5EpFA_ukXD89hGqG3OarzbVfdjGnLOIAQfwbQcqJkjQWMrhwElrtU1y3JLDPfnjc0eTJLxzhyYvDFopEh",
8 "provider": "FCM"
9 },
10 {
11 "token": "00fc13adff785122b4ad28809a3420982341241421348097878e577c991de8f0",
12 "provider": "APN"
13 }
14 ],
15 "related": [
16 {
17 "name": "PUSH_NOTIFICATION_APP",
18 "id": "limonade_app",
19 "uri": "https://comms.twilio.com/v1/PushNotifications/Apps/limonade_app"
20 },
21 {
22 "name": "PUSH_NOTIFICATION_USER",
23 "id": "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
24 "uri": "https://comms.twilio.com/v1/PushNotifications/Users/comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8"
25 }
26 ]
27}
This operation fetches a single Device Registration. * A Device Registration contains a list of devices registered for a particular `User` under an `App` * The `Device` tokens in the Device Registration are used for delivering Push Notifications to the given `App` on devices or browsers belonging to a single User. * Each User will have one Device Registration for each `App`. * When sending Push Notifications to a User, all of the devices registered under the Device Registration with the corresponding `appName` are targets for the Push Notification.
Was this page helpful?
Previous

Delete a Device Registration

Next
Built with

This operation fetches a single Device Registration.

  • A Device Registration contains a list of devices registered for a particular User under an App

  • The Device tokens in the Device Registration are used for delivering Push Notifications to the given App on devices or browsers belonging to a single User.

  • Each User will have one Device Registration for each App.

  • When sending Push Notifications to a User, all of the devices registered under the Device Registration with the corresponding appName are targets for the Push Notification.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

deviceRegistrationIdstringRequired

Response

OK
idstringformat: "^comms_device_registration_[a-hjkmnpqrstv-z0-9]{26,34}$"
A reference to a Device Registration.
appNamestring

The name of the App that the device registrations are for.

userIdstringformat: "^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a Push Notification User.
deviceslist of objects
List of devices registered in this set.
relatedlist of objects
A list of resources that are associated with this Device Registration.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error